# Uses of Class
javafx.geometry.Point3D

Packages that use Point3D
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.
javafx.geometry
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.
javafx.scene.transform
Provides the set of convenient classes to perform rotating, scaling, shearing, and translation transformations for `Affine` objects.

## Uses of Point3D in javafx.animation

Methods in javafx.animation that return Point3D
Modifier and Type
Method
Description
`final Point3D`
RotateTransition.`getAxis()`
Gets the value of the `axis` property.
Methods in javafx.animation that return types with arguments of type Point3D
Modifier and Type
Method
Description
`final ObjectProperty<Point3D>`
RotateTransition.`axisProperty()`
Specifies the axis of rotation for this `RotateTransition`.
Methods in javafx.animation with parameters of type Point3D
Modifier and Type
Method
Description
`final void`
RotateTransition.`setAxis(Point3D value)`
Sets the value of the `axis` property.

## Uses of Point3D in javafx.geometry

Fields in javafx.geometry declared as Point3D
Modifier and Type
Field
Description
`static final Point3D`
Point3D.`ZERO`
Point or vector with all three coordinates set to 0.
Methods in javafx.geometry that return Point3D
Modifier and Type
Method
Description
`Point3D`
Point3D.`add(double x, double y, double z)`
Returns a point with the specified coordinates added to the coordinates of this point.
`Point3D`
Point3D.`add(Point3D point)`
Returns a point with the coordinates of the specified point added to the coordinates of this point.
`Point3D`
Point2D.`crossProduct(double x, double y)`
Computes cross product of the vector represented by this instance and the specified vector.
`Point3D`
Point2D.`crossProduct(Point2D vector)`
Computes cross product of the vector represented by this instance and the specified vector.
`Point3D`
Point3D.`crossProduct(double x, double y, double z)`
Computes cross product of the vector represented by this instance and the specified vector.
`Point3D`
Point3D.`crossProduct(Point3D vector)`
Computes cross product of the vector represented by this instance and the specified vector.
`Point3D`
Point3D.`midpoint(double x, double y, double z)`
Returns a point which lies in the middle between this point and the specified coordinates.
`Point3D`
Point3D.`midpoint(Point3D point)`
Returns a point which lies in the middle between this point and the specified point.
`Point3D`
Point3D.`multiply(double factor)`
Returns a point with the coordinates of this point multiplied by the specified factor
`Point3D`
Point3D.`normalize()`
Normalizes the relative magnitude vector represented by this instance.
`Point3D`
Point3D.`subtract(double x, double y, double z)`
Returns a point with the specified coordinates subtracted from the coordinates of this point.
`Point3D`
Point3D.`subtract(Point3D point)`
Returns a point with the coordinates of the specified point subtracted from the coordinates of this point.
Methods in javafx.geometry with parameters of type Point3D
Modifier and Type
Method
Description
`Point3D`
Point3D.`add(Point3D point)`
Returns a point with the coordinates of the specified point added to the coordinates of this point.
`double`
Point3D.`angle(Point3D point)`
Computes the angle (in degrees) between the vector represented by this point and the vector represented by the specified point.
`double`
Point3D.`angle(Point3D p1, Point3D p2)`
Computes the angle (in degrees) between the three points with this point as a vertex.
`boolean`
BoundingBox.`contains(Point3D p)`
Tests if the specified point is inside the boundary of `Bounds`.
`abstract boolean`
Bounds.`contains(Point3D p)`
Tests if the specified point is inside the boundary of `Bounds`.
`Point3D`
Point3D.`crossProduct(Point3D vector)`
Computes cross product of the vector represented by this instance and the specified vector.
`double`
Point3D.`distance(Point3D point)`
Computes the distance between this point and the specified `point`.
`double`
Point3D.`dotProduct(Point3D vector)`
Computes dot (scalar) product of the vector represented by this instance and the specified vector.
`Point3D`
Point3D.`midpoint(Point3D point)`
Returns a point which lies in the middle between this point and the specified point.
`Point3D`
Point3D.`subtract(Point3D point)`
Returns a point with the coordinates of the specified point subtracted from the coordinates of this point.

## Uses of Point3D in javafx.scene

Methods in javafx.scene that return Point3D
Modifier and Type
Method
Description
`final Point3D`
Node.`getRotationAxis()`
Gets the value of the `rotationAxis` property.
`Point3D`
Node.`localToParent(double x, double y, double z)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its parent.
`Point3D`
Node.`localToParent(Point3D localPoint)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its parent.
`Point3D`
Node.`localToScene(double x, double y, double z)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its scene.
`Point3D`
Node.`localToScene(double x, double y, double z, boolean rootScene)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its scene.
`Point3D`
Node.`localToScene(Point3D localPoint)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its scene.
`Point3D`
Node.`localToScene(Point3D localPoint, boolean rootScene)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its scene.
`Point3D`
Node.`parentToLocal(double parentX, double parentY, double parentZ)`
Transforms a point from the coordinate space of the parent into the local coordinate space of this `Node`.
`Point3D`
Node.`parentToLocal(Point3D parentPoint)`
Transforms a point from the coordinate space of the parent into the local coordinate space of this `Node`.
`Point3D`
Node.`sceneToLocal(double sceneX, double sceneY, double sceneZ)`
Transforms a point from the coordinate space of the scene into the local coordinate space of this `Node`.
`Point3D`
Node.`sceneToLocal(Point3D scenePoint)`
Transforms a point from the coordinate space of the scene into the local coordinate space of this `Node`.
Methods in javafx.scene that return types with arguments of type Point3D
Modifier and Type
Method
Description
`final ObjectProperty<Point3D>`
Node.`rotationAxisProperty()`
Defines the axis of rotation of this `Node`.
Methods in javafx.scene with parameters of type Point3D
Modifier and Type
Method
Description
`Point3D`
Node.`localToParent(Point3D localPoint)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its parent.
`Point3D`
Node.`localToScene(Point3D localPoint)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its scene.
`Point3D`
Node.`localToScene(Point3D localPoint, boolean rootScene)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its scene.
`Point2D`
Node.`localToScreen(Point3D localPoint)`
Transforms a point from the local coordinate space of this `Node` into the coordinate space of its `Screen`.
`Point3D`
Node.`parentToLocal(Point3D parentPoint)`
Transforms a point from the coordinate space of the parent into the local coordinate space of this `Node`.
`Point3D`
Node.`sceneToLocal(Point3D scenePoint)`
Transforms a point from the coordinate space of the scene into the local coordinate space of this `Node`.
`final void`
Node.`setRotationAxis(Point3D value)`
Sets the value of the `rotationAxis` property.

## Uses of Point3D in javafx.scene.input

Methods in javafx.scene.input that return Point3D
Modifier and Type
Method
Description
`final Point3D`
PickResult.`getIntersectedNormal()`
Return the intersected normal of the picked 3d shape.
`final Point3D`
PickResult.`getIntersectedPoint()`
Returns the intersected point in local coordinate of the picked Node.
Constructors in javafx.scene.input with parameters of type Point3D
Modifier
Constructor
Description
``
`PickResult(Node node, Point3D point, double distance)`
Creates a new instance of PickResult for a non-3d-shape target.
``
`PickResult(Node node, Point3D point, double distance, int face, Point2D texCoord)`
Creates a new instance of PickResult.
``
`PickResult(Node node, Point3D point, double distance, int face, Point3D normal, Point2D texCoord)`
Creates a new instance of PickResult.

## Uses of Point3D in javafx.scene.transform

Fields in javafx.scene.transform declared as Point3D
Modifier and Type
Field
Description
`static final Point3D`
Rotate.`X_AXIS`
Specifies the X-axis as the axis of rotation.
`static final Point3D`
Rotate.`Y_AXIS`
Specifies the Y-axis as the axis of rotation.
`static final Point3D`
Rotate.`Z_AXIS`
Specifies the Z-axis as the axis of rotation.
Methods in javafx.scene.transform that return Point3D
Modifier and Type
Method
Description
`Point3D`
Affine.`deltaTransform(double x, double y, double z)`
`Point3D`
Rotate.`deltaTransform(double x, double y, double z)`
`Point3D`
Scale.`deltaTransform(double x, double y, double z)`
`Point3D`
Shear.`deltaTransform(double x, double y, double z)`
`Point3D`
Transform.`deltaTransform(double x, double y, double z)`
Transforms the relative magnitude vector by this transform.
`Point3D`
Transform.`deltaTransform(Point3D point)`
Transforms the relative magnitude vector represented by the specified `Point3D` instance by this transform.
`Point3D`
Translate.`deltaTransform(double x, double y, double z)`
`Point3D`
Translate.`deltaTransform(Point3D point)`
`final Point3D`
Rotate.`getAxis()`
Gets the value of the `axis` property.
`Point3D`
Affine.`inverseDeltaTransform(double x, double y, double z)`
`Point3D`
Rotate.`inverseDeltaTransform(double x, double y, double z)`
`Point3D`
Scale.`inverseDeltaTransform(double x, double y, double z)`
`Point3D`
Shear.`inverseDeltaTransform(double x, double y, double z)`
`Point3D`
Transform.`inverseDeltaTransform(double x, double y, double z)`
Transforms the relative magnitude vector by the inverse of this transform.
`Point3D`
Transform.`inverseDeltaTransform(Point3D point)`
Transforms the relative magnitude vector represented by the specified `Point3D` instance by the inverse of this transform.
`Point3D`
Translate.`inverseDeltaTransform(double x, double y, double z)`
`Point3D`
Translate.`inverseDeltaTransform(Point3D point)`
`Point3D`
Affine.`inverseTransform(double x, double y, double z)`
`Point3D`
Rotate.`inverseTransform(double x, double y, double z)`
`Point3D`
Scale.`inverseTransform(double x, double y, double z)`
`Point3D`
Shear.`inverseTransform(double x, double y, double z)`
`Point3D`
Transform.`inverseTransform(double x, double y, double z)`
Transforms the specified point by the inverse of this transform.
`Point3D`
Transform.`inverseTransform(Point3D point)`
Transforms the specified point by the inverse of this transform.
`Point3D`
Translate.`inverseTransform(double x, double y, double z)`
`Point3D`
Affine.`transform(double x, double y, double z)`
`Point3D`
Rotate.`transform(double x, double y, double z)`
`Point3D`
Scale.`transform(double x, double y, double z)`
`Point3D`
Shear.`transform(double x, double y, double z)`
`Point3D`
Transform.`transform(double x, double y, double z)`
Transforms the specified point by this transform.
`Point3D`
Transform.`transform(Point3D point)`
Transforms the specified point by this transform.
`Point3D`
Translate.`transform(double x, double y, double z)`
Methods in javafx.scene.transform that return types with arguments of type Point3D
Modifier and Type
Method
Description
`final ObjectProperty<Point3D>`
Rotate.`axisProperty()`
Defines the axis of rotation at the pivot point.
Methods in javafx.scene.transform with parameters of type Point3D
Modifier and Type
Method
Description
`void`
Affine.`appendRotation(double angle, double pivotX, double pivotY, double pivotZ, Point3D axis)`
Appends the rotation to this instance.
`void`
Affine.`appendRotation(double angle, Point3D pivot, Point3D axis)`
Appends the rotation to this instance.
`void`
Affine.`appendScale(double sx, double sy, double sz, Point3D pivot)`
Appends the scale with pivot to this instance.
`Point3D`
Transform.`deltaTransform(Point3D point)`
Transforms the relative magnitude vector represented by the specified `Point3D` instance by this transform.
`Point3D`
Translate.`deltaTransform(Point3D point)`
`Point3D`
Transform.`inverseDeltaTransform(Point3D point)`
Transforms the relative magnitude vector represented by the specified `Point3D` instance by the inverse of this transform.
`Point3D`
Translate.`inverseDeltaTransform(Point3D point)`
`Point3D`
Transform.`inverseTransform(Point3D point)`
Transforms the specified point by the inverse of this transform.
`void`
Affine.`prependRotation(double angle, double pivotX, double pivotY, double pivotZ, Point3D axis)`
Prepends the rotation to this instance.
`void`
Affine.`prependRotation(double angle, Point3D pivot, Point3D axis)`
Prepends the rotation to this instance.
`void`
Affine.`prependScale(double sx, double sy, double sz, Point3D pivot)`
Prepends the scale with pivot to this instance.
`final void`
Rotate.`setAxis(Point3D value)`
Sets the value of the `axis` property.
`Point3D`
Transform.`transform(Point3D point)`
Transforms the specified point by this transform.
Constructors in javafx.scene.transform with parameters of type Point3D
Modifier
Constructor
Description
``
`Rotate(double angle, double pivotX, double pivotY, double pivotZ, Point3D axis)`
Creates a three-dimensional Rotate transform with pivot.
``
`Rotate(double angle, Point3D axis)`
Creates a three-dimensional Rotate transform.